Bug 1118017 - Rawhide doesn't have liveuser user
Summary: Rawhide doesn't have liveuser user
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: LiveCD
Version: 21
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 21:03 UTC by Ömer Fadıl Usta
Modified: 2015-12-02 16:09 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:14:40 UTC


Attachments (Terms of Use)

Description Ömer Fadıl Usta 2014-07-09 21:03:22 UTC
Description of problem:

Current version of Rawhide-KDE (08/07/2014) after booting it starts Kdm
and asking password for liveuser , on the other hand there isn't any
user called liveuser in /etc/passwd and /etc/shadow file

How reproducible:
Just check in /etc/passwd and /etc/shadow

Steps to Reproduce:
1. Boot from recent Fedora-Rawhide-KDE-08/07/2014
2. After KDM starts it asks you about liveuser 's password
3. There isn't any user named as liveuser

Actual results:
Couldn't login because there isn't any liveuser named user

Expected results:
There must be a user liveuser or KDM must show as root in its screen

Comment 1 Ondrej Vasik 2014-07-11 19:41:14 UTC
This has nothing to do with basesystem package - basesystem is just dependency metapackage with no relation to KDM/kde. Let's try kdebase - as this is definitely package I would expect on KDE livecd. Please reassign accordingly, if there is some better fit.

Comment 2 Ömer Fadıl Usta 2014-07-11 19:54:15 UTC
Just a quick note:
There isn't any liveuser user defined on system (/etc/password /etc/group /etc/shadow ) on the other hand there is a /home/liveuser. BUT after adding liveuser user to system still the system couldn't login correctly ( Probably wrong config files under /home/liveuser) , Then i create a new user called abc and can login and install system with that user

Comment 3 Rex Dieter 2014-07-12 14:06:21 UTC
f21+ kde live should be using sddm now (not kdm),
http://fedoraproject.org/wiki/Changes/SDDMinsteadOfKDM

But the creation of the live user is (should be!) common to all live images,
https://git.fedorahosted.org/cgit/spin-kickstarts.git/tree/fedora-live-base.ks?h=f21

the kickstart code includes this snippet:

# add fedora user with no passwd
action "Adding live user" useradd \$USERADDARGS -c "Live System User" liveuser
passwd -d liveuser > /dev/null
usermod -aG wheel liveuser > /dev/null

Comment 4 Ömer Fadıl Usta 2014-07-12 15:08:02 UTC
I have written here as KDM on the other hand i'm not sure if that login page is sddm or kdm, the problem which i want to mention is there isn't any liveuser in /etc/shadow /etc/group /etc/passwd but there is a preconfigured /home/liveuser but whenever i create a user named as "liveuser" with /home/liveuser ssdm or kdm (i'm not sure which one is using in Rawhide KDE - 08/07/2014 ) is not login in. If i create a new user for example abcd and try to login with it it works fine.

Comment 5 Fedora End Of Life 2015-11-04 11:09:09 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-12-02 03:14:45 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.